org.apache.commons.math3.ode

## Interface ParameterJacobianProvider

- All Superinterfaces:
    Parameterizable
  All Known Implementing Classes:
    ParameterJacobianWrapper

      public interface ParameterJacobianProvider
      extends Parameterizable

  Interface to compute exactly Jacobian matrix for some parameter when computing `partial derivatives equations`.
  Since:
    3.0
  Version:
    $Id: ParameterJacobianProvider.java 1416643 2012-12-03 19:37:14Z tn $

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `computeParameterJacobian(double t, double[] y, double[] yDot, java.lang.String paramName, double[] dFdP)` Compute the Jacobian matrix of ODE with respect to one parameter.

    - ### Methods inherited from interface org.apache.commons.math3.ode.Parameterizable

      `getParametersNames, isSupported`

- - ### Method Detail

    - #### computeParameterJacobian

          void computeParameterJacobian(double t,
                                      double[] y,
                                      double[] yDot,
                                      java.lang.String paramName,
                                      double[] dFdP)
                                        throws DimensionMismatchException,
                                               MaxCountExceededException,
                                               UnknownParameterException

      Compute the Jacobian matrix of ODE with respect to one parameter.

      If the parameter does not belong to the collection returned by `Parameterizable.getParametersNames()`, the Jacobian will be set to 0, but no errors will be triggered.

      Parameters:
        `t` - current value of the independent time variable
        `y` - array containing the current value of the main state vector
        `yDot` - array containing the current value of the time derivative of the main state vector
        `paramName` - name of the parameter to consider
        `dFdP` - placeholder array where to put the Jacobian matrix of the ODE with respect to the parameter
      Throws:
        `MaxCountExceededException` - if the number of functions evaluations is exceeded
        `DimensionMismatchException` - if arrays dimensions do not match equations settings
        `UnknownParameterException` - if the parameter is not supported

Copyright (c) 2003-2013 Apache Software Foundation